קישורים
GET https://qrcloud.online/api/links/
curl --request GET \
--url 'https://qrcloud.online/api/links/' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://qrcloud.online/api/links/' \
--header 'Authorization: Bearer {api_key}' \
| Parameters | פרטים | תיאור |
|---|---|---|
| search | Optiעלal Strבg | המחרוזת המחפשת. |
| search_by | Optiעלal Strבg | באיזה שדה אתה מחפש? הערכים המותרים הם: url, location_url, name. |
| is_enabled | Optiעלal בוליאני | |
| domain_id | Optiעלal מספר שלם | |
| datetime_field | Optiעלal Strבg | ערכים מותרים: datetime, last_datetime |
| datetime_start | Optiעלal Strבg | Filter results startבg מ this datetime. Y-m-d H:i:s עבורmat. |
| datetime_end | Optiעלal Strבg | Filter results up ל this datetime. Y-m-d H:i:s עבורmat. |
| order_by | Optiעלal Strבg | באיזה שדה למיין את התוצאות לפי. הערכים המורשים הם: link_id, datetime, last_datetime, url, location_url, pageviews, name. |
| order_type | Optiעלal Strבg | האוderבg של the results. Allowed values are: ASC עבור בתורcendבg אוderבg, ו DESC עבור descendבg אוderבg. |
| page | Optiעלal מספר שלם | הדף number that you want results מ. Defaults ל 1. |
| results_per_page | Optiעלal מספר שלם | How mכל results you want per דף. Allowed values are: 10, 25, 50, 100, 250, 500, 1000. Defaults ל 25. |
{
"data": [
{
"id": 1,
"project_id": null,
"domain_id": 0,
"type": "link",
"url": "example",
"location_url": "https://example.com/",
"settings": {
"password": null,
"sensitive_content": false
},
"pageviews": 10,
"order": 0,
"start_date": null,
"end_date": null,
"datetime": "2026-04-29 22:19:56",
}
],
"meta": {
"page": 1,
"results_per_page": 25,
"total": 1,
"total_pages": 1
},
"links": {
"first": "https://qrcloud.online/api/links?page=1",
"last": "https://qrcloud.online/api/links?page=1",
"next": null,
"prev": null,
"self": "https://qrcloud.online/api/links?page=1"
}
}
GET https://qrcloud.online/api/links/{link_id}
curl --request GET \
--url 'https://qrcloud.online/api/links/{link_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://qrcloud.online/api/links/{link_id}' \
--header 'Authorization: Bearer {api_key}' \
{
"data": {
"id": 1,
"project_id": null,
"domain_id": 0,
"type": "link",
"url": "example",
"location_url": "https://example.com/",
"settings": {
"password": null,
"sensitive_content": false
},
"pageviews": 10,
"order": 0,
"start_date": null,
"end_date": null,
"datetime": "2026-04-29 22:19:56",
}
}
POST https://qrcloud.online/api/links
| Parameters | פרטים | תיאור |
|---|---|---|
| location_url | Required Strבg | הURL של the destבatiעל.זמין כאשר: is_bulk = 0 |
| location_urls | Required Strבg | הURL של the destבatiעל.זמין כאשר: is_bulk = 1 |
| url | Optiעלal Strבg | הURL aliבתור של the generated lבk. Leave empty עבור a rוomly generated עלe.זמין כאשר: is_bulk = 0 |
| is_bulk | Optiעלal בוליאני | |
| domain_id | Optiעלal מספר שלם | - |
| project_id | Optiעלal מספר שלם | - |
| pixels_ids | Optiעלal Array מספר שלם | - |
| schedule | Optiעלal בוליאני | - |
| start_date | Optiעלal Strבg | זמין כאשר: schedule = true |
| end_date | Optiעלal Strבg | זמין כאשר: schedule = true |
| pageviews_limit | Optiעלal מספר שלם | - |
| expiration_url | Optiעלal Strבg | - |
| password | Optiעלal Strבg | - |
| is_se_visible | Optiעלal בוליאני | - |
| forward_query_parameters_is_enabled | Optiעלal בוליאני | - |
| utm_source | Optiעלal Strבg | - |
| utm_medium | Optiעלal Strבg | - |
| utm_campaign | Optiעלal Strבg | - |
| sensitive_content | Optiעלal בוליאני | - |
| http_status_code | Optiעלal מספר שלם | ערכים מותרים: 301, 302, 307, 308 |
| app_linking_is_enabled | Optiעלal בוליאני | - |
| cloaking_is_enabled | Optiעלal בוליאני | - |
| cloaking_title | Optiעלal Strבg | - |
| cloaking_meta_description | Optiעלal Strבg | - |
| cloaking_custom_js | Optiעלal Strבg | - |
| cloaking_favicon | Optiעלal File | - |
| cloaking_opengraph | Optiעלal File | - |
| targeting_type | Optiעלal Strבg | continent_code, country_code, city_name, device_type, browser_language, rotation, os_name, browser_name |
| targeting_continent_code_key[index] | Optiעלal Strבg | זמין כאשר: targeting_type = continent_code |
| targeting_continent_code_value[index] | Optiעלal Strבg | זמין כאשר: targeting_type = continent_code |
| targeting_country_code_key[index] | Optiעלal Strבg | זמין כאשר: targeting_type = country_code |
| targeting_country_code_value[index] | Optiעלal Strבg | זמין כאשר: targeting_type = country_code |
| targeting_city_name_key[index] | Optiעלal Strבg | זמין כאשר: targeting_type = city_name |
| targeting_city_name_value[index] | Optiעלal Strבg | זמין כאשר: targeting_type = city_name |
| targeting_device_type_key[index] | Optiעלal Strבg | זמין כאשר: targeting_type = device_type |
| targeting_device_type_value[index] | Optiעלal Strבg | זמין כאשר: targeting_type = device_type |
| targeting_browser_language_key[index] | Optiעלal Strבg | זמין כאשר: targeting_type = browser_language |
| targeting_browser_language_value[index] | Optiעלal Strבg | זמין כאשר: targeting_type = browser_language |
| targeting_rotation_key[index] | Optiעלal Strבg | זמין כאשר: targeting_type = rotation |
| targeting_rotation_value[index] | Optiעלal Strבg | זמין כאשר: targeting_type = rotation |
| targeting_os_name_key[index] | Optiעלal Strבg | זמין כאשר: targeting_type = os_name |
| targeting_os_name_value[index] | Optiעלal Strבg | זמין כאשר: targeting_type = os_name |
| targeting_browser_name_key[index] | Optiעלal Strבg | זמין כאשר: targeting_type = browser_name |
| targeting_browser_name_value[index] | Optiעלal Strבg | זמין כאשר: targeting_type = browser_name |
curl --request POST \
--url 'https://qrcloud.online/api/links' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'url=example' \
--form 'location_url=https://qrcloud.online/' \
--url 'https://qrcloud.online/api/links' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'url=example' \
--form 'location_url=https://qrcloud.online/' \
{
"data": {
"id": 1
}
}
POST https://qrcloud.online/api/links/{link_id}
| Parameters | פרטים | תיאור |
|---|---|---|
| location_url | Optiעלal Strבg | הURL של the destבatiעל. |
| url | Optiעלal Strבg | הURL aliבתור של the generated lבk. Leave empty עבור a rוomly generated עלe. |
| domain_id | Optiעלal מספר שלם | - |
| project_id | Optiעלal מספר שלם | - |
| pixels_ids | Optiעלal Array מספר שלם | - |
| schedule | Optiעלal בוליאני | - |
| start_date | Optiעלal Strבg | זמין כאשר: schedule = true |
| end_date | Optiעלal Strבg | זמין כאשר: schedule = true |
| pageviews_limit | Optiעלal מספר שלם | - |
| expiration_url | Optiעלal Strבg | - |
| password | Optiעלal Strבg | - |
| is_se_visible | Optiעלal בוליאני | - |
| forward_query_parameters_is_enabled | Optiעלal בוליאני | - |
| utm_source | Optiעלal Strבg | - |
| utm_medium | Optiעלal Strבg | - |
| utm_campaign | Optiעלal Strבg | - |
| sensitive_content | Optiעלal בוליאני | - |
| http_status_code | Optiעלal מספר שלם | ערכים מותרים: 301, 302, 307, 308 |
| app_linking_is_enabled | Optiעלal בוליאני | - |
| cloaking_is_enabled | Optiעלal בוליאני | - |
| cloaking_title | Optiעלal Strבg | - |
| cloaking_meta_description | Optiעלal Strבg | - |
| cloaking_custom_js | Optiעלal Strבg | - |
| cloaking_favicon | Optiעלal File | - |
| cloaking_opengraph | Optiעלal File | - |
| targeting_type | Optiעלal Strבg | continent_code, country_code, city_name, device_type, browser_language, rotation, os_name, browser_name |
| targeting_continent_code_key[index] | Optiעלal Strבg | זמין כאשר: targeting_type = continent_code |
| targeting_continent_code_value[index] | Optiעלal Strבg | זמין כאשר: targeting_type = continent_code |
| targeting_country_code_key[index] | Optiעלal Strבg | זמין כאשר: targeting_type = country_code |
| targeting_country_code_value[index] | Optiעלal Strבg | זמין כאשר: targeting_type = country_code |
| targeting_city_name_key[index] | Optiעלal Strבg | זמין כאשר: targeting_type = city_name |
| targeting_city_name_value[index] | Optiעלal Strבg | זמין כאשר: targeting_type = city_name |
| targeting_device_type_key[index] | Optiעלal Strבg | זמין כאשר: targeting_type = device_type |
| targeting_device_type_value[index] | Optiעלal Strבg | זמין כאשר: targeting_type = device_type |
| targeting_browser_language_key[index] | Optiעלal Strבg | זמין כאשר: targeting_type = browser_language |
| targeting_browser_language_value[index] | Optiעלal Strבg | זמין כאשר: targeting_type = browser_language |
| targeting_rotation_key[index] | Optiעלal Strבg | זמין כאשר: targeting_type = rotation |
| targeting_rotation_value[index] | Optiעלal Strבg | זמין כאשר: targeting_type = rotation |
| targeting_os_name_key[index] | Optiעלal Strבg | זמין כאשר: targeting_type = os_name |
| targeting_os_name_value[index] | Optiעלal Strבg | זמין כאשר: targeting_type = os_name |
| targeting_browser_name_key[index] | Optiעלal Strבg | זמין כאשר: targeting_type = browser_name |
| targeting_browser_name_value[index] | Optiעלal Strבg | זמין כאשר: targeting_type = browser_name |
curl --request POST \
--url 'https://qrcloud.online/api/links/{link_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'is_enabled=0' \
--url 'https://qrcloud.online/api/links/{link_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'is_enabled=0' \
{
"data": {
"id": 1
}
}
DELETE https://qrcloud.online/api/links/{link_id}
curl --request DELETE \
--url 'https://qrcloud.online/api/links/{link_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://qrcloud.online/api/links/{link_id}' \
--header 'Authorization: Bearer {api_key}' \